Skip to content

getSalesOrderLine

READ

Get sales order line.

POST /api/v1/sales/getSalesOrderLine
curl -X POST '<your-host>/api/v1/sales/getSalesOrderLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesOrderLineId": "string"
  }'
Response
{
  "accountId": "string",
  "addOnCost": 0,
  "assetId": "string",
  "assetName": "string",
  "assetReadableId": "string",
  "companyId": "string",
  "convertedAddOnCost": 0,
  "convertedNonTaxableAddOnCost": 0,
  "convertedShippingCost": 0,
  "convertedUnitPrice": 0,
  "createdAt": "string",
  "createdBy": "string",
  "customerId": "string",
  "customerPartId": "string",
  "customerPartRevision": "string",
  "customFields": "…",
  "description": "string",
  "exchangeRate": 0,
  "externalNotes": "…",
  "id": "string",
  "internalNotes": "…",
  "invoicedComplete": true,
  "itemId": "string",
  "itemReadableId": "string",
  "locationId": "string",
  "methodType": "Purchase to Order",
  "nonTaxableAddOnCost": 0,
  "orderDate": "string",
  "priceTrace": "…",
  "pricingRuleId": "string",
  "promisedDate": "string",
  "quantityInvoiced": 0,
  "quantitySent": 0,
  "quantityToInvoice": 0,
  "quantityToSend": 0,
  "saleQuantity": 0,
  "salesOrderId": "string",
  "salesOrderLineType": "Fixed Asset",
  "salesOrderReadableId": "string",
  "sentComplete": true,
  "sentDate": "string",
  "setupPrice": 0,
  "shippingCost": 0,
  "sortOrder": 0,
  "status": "Completed",
  "storageUnitId": "string",
  "taxPercent": 0,
  "thumbnailPath": "string",
  "unitCost": 0,
  "unitOfMeasureCode": "string",
  "unitPrice": 0,
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesOrderLineId": {
      "type": "string"
    }
  },
  "required": [
    "salesOrderLineId"
  ]
}